﻿using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Media;

namespace TestProject
{
    /// <summary>
    /// UI 헬퍼
    /// </summary>
    public static class UIHelper
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 두께 구하기 - GetThickness(length)

        /// <summary>
        /// 두께 구하기
        /// </summary>
        /// <param name="length">길이</param>
        /// <returns>두께</returns>
        public static Thickness GetThickness(double length)
        {
            return new Thickness(length);
        }

        #endregion
        #region 단일 색상 브러시 구하기 - GetSolidColorBrush(color)

        /// <summary>
        /// 단일 색상 브러시 구하기
        /// </summary>
        /// <param name="color">색상</param>
        /// <returns>단일 색상 브러시</returns>
        public static SolidColorBrush GetSolidColorBrush(Color color)
        {
            return new SolidColorBrush(color);
        }

        #endregion
    }
}